Jump to content

J. Danse

Members
  • Posts

    2,563
  • Joined

  • Last visited

  • Days Won

    5

Everything posted by J. Danse

  1. Bonsoir, Je vous invite tout d'abord à modifier cette ligne: $this->templateFile = 'module:FidintMarket/views/templates/hook/test.tpl'; Par celle-ci: $this->templateFile = 'module:fidintmarket/views/templates/hook/test.tpl'; En modifiant votre méthode displayHome() par celle-ci: public function hookDisplayHome() { return $this->renderWidget(); } L'affichage du template se fait bien. Et si vous souhaitez profiter du système de Widget sans provoquer d'autres instructions au sein du hook displayHome, vous pouvez vous assurer du bon fonctionnement de ce système en supprimant purement et simplement la méthode de votre classe, ;-)
  2. Bonjour AZ12, En version 1.6, vous n'avez plus besoin de gérer cet override. Vous pouvez éditer les préférences du thèmes pour choisir les colonnes qui seront affichées en fonction de chaque page.
  3. Bonjour, Cela s'appelle les cookies. Si vous choisissez une date, PrestaShop conserve votre choix et vous permet de revenir le lendemain sans devoir refaire votre choix. Il manque, surement, une option de ré-initialisation permettant de faire oublier à PrestaShop ce choix préalable. Cependant, c'est bel et bien un comportement attendu et cohérent vis-à-vis de l'ensemble des utilisateurs de PrestaShop.
  4. Pas de soucis ;-) Mais disons que j'ai déjà pu voir/traiter ce type de demande à plusieurs reprises que pour connaitre par cœur cette erreur de "ad is not defined", à dire vrai
  5. Note: voici l'un des tutoriels en questions: https://mypresta.eu/en/art/prestashop-16/extended-rich-text-editor.html
  6. Eolia, Je ne parle pas de l'ancien fichier mais bien du nouveau. Qui n'a pas été mis à jour sur son instance. Mon lien comporte bien la dernière version du fichier. C'est justement le soucis, le tynimce utilisé par le module est celui de la boutique, qui a été altéré. C'est une erreur courante que l'on peut voir sur certains modules sur certains boutiques utilisant un module ou ayant suivi un tutoriel pour une vielle version de Tiny (pour rajouter je ne sais plus quoi; ;-)).
  7. Bonsoir, Il s'agit d'une erreur fréquente liée à la modification d'un fichier sur son instance de PrestaShop et qui peut donc poser problème pour certains modules. Ce fichier est celui-ci /js/admin/tinymce.inc.js Que vous devez remplacer par l'original, à savoir celui-ci: https://raw.githubusercontent.com/PrestaShop/PrestaShop/1.6.1.x/js/admin/tinymce.inc.js
  8. Bonjour, Il y a bien entendu une solution, comme le mentionnait MediaCom. Il vous faut donc éditer la classe PaymentModule et plus précisément la méthode validateOrder() à cet effet. Pour bien faire, le mieux serait d'avoir un module tiers implémentant le hook "actionGetExtraMailTemplateVars" par exemple et qui se chargerait donc de retourner un tableau avec les variables (cela peut être le contenu de votre chaine de caractère ou du vide) et ajouter la "variable" dans le template d'email, donc.
  9. Bonjour, Vous utilisez PrestaShop 1.7 ; l'erreur est corrigée via cette modification: https://github.com/PrestaShop/PrestaShop/pull/7601 Elle sera reprise dans la version 1.7.1.0 de PrestaShop. Il vous faudrait, pour bien faire, éditer la base de données pour impacter les valeurs dans la table "order_states"
  10. Bonjour, Auriez-vous une URL publique pour voir le problème en action ?
  11. Bonjour, Le plus simple, ce serait vraiment soit d'utiliser les compteurs Smarty soit de se baser sur l'index du foreach. {counter start=1 assign="count"} {foreach ...} {if $count == 4} {counter start=0 assign="count"} {/if} {counter} {/foreach} {foreach from=$items key=myId item=i name=foo} {if $smarty.foreach.foo.index % 4 == 0} {/if} {/foreach}
  12. Bonjour, Votre requête comporte ceci: ORDER BY `id_product` ASC Le soucis, c'est que id_product se retrouve dans plusieurs tables et le gestionnaire SQL ne sait laquelle reprendre. Vous pouvez par exemple modifier cela par ORDER BY p.`id_product` ASC
  13. Bonjour, Pour des raisons que j'ignore, les widgets (c'est la deuxième fois que je vois ça ce jour) se greffent d'eux-même sur le hook "displayAdminAfterHeader" ce qui pose soucis. Il vous fait dégreffer le module de ce hook (qui n'a pas lieu d'y être). Il vous faudra jouer avec le code ou un peu de manipulation BDD, cependant.
  14. Bonsoir, Je peux le voir pour une version 1.11.5 sur l'instance démo. De même pour une 1.10.1 que j'ai sous la main.
  15. Bonjour, Il vous suffit de renseigner le champ "légende" de l'image pour que cette valeur soit insérée dans les balises "alt" et "title".
  16. Je n'ai pas dit que ce n'était pas le cas et qu'il était obligatoire de passer par une mise à jour ; je dis juste qu'une correction a été amenée dans la dernière version en date et qu'il doit donc être possible de voir, via le support, pour avoir un éventuel fix à ce sujet et tout du moins une raison du pourquoi du comment ;-) Le plus simple sur ce genre de cas, c'est vraiment de passer par le support pour avoir une aide rapide, précieuse et concise
  17. Les joies du forum et des notifications emails qui passent dans le SPAM ;-) Le plus simple dans ce genre de cas et pour être sur d'avoir une réponse rapide: passer par le biais du système de support, en cas. Après en effet, tout dépend des soucis et du thème, je sais que la version 4.11 corrige d'éventuel soucis quant à l’utilisation liste/grille d'un thème. Peut-être est-ce la réponse à ce soucis. Concernant le positionnement, il faut en effet y mettre du CSS mais cela va nécessiter par mal de petits ajustement difficile à prendre en compte de par le fait que l'élément/bloc de recherche ne sera pas toujours au bon endroit et ainsi de suite. Là, c'est une question d'intégration pour laquelle il faudrait pouvoir aller voir plus loin dans la faisabilité de la chose
  18. Comme mentionné sur votre sujet (https://www.prestashop.com/forums/topic/594619-soucis-menu-advanced-top-menu-error-500/), vous avez une erreur 500, Je vous ai répondu vis-à-vis de votre ticket, nous allons voir cela ensemble donc.
  19. Vous avez une erreur 500, Je vous ai répondu vis-à-vis de votre ticket, nous allons voir cela ensemble donc.
  20. Bonjour, Lorsque vous prenez un module sur GitHub, il est souvent nommé du type mailalerts-master comme répertoire. Si vous avez accès à votre FTP, vous pouvez supprimer le dossier mailalerts dans modules et renommer celui qui comporte -master. Sinon, vous devez extraire le dossier de l'archive, le renommer et refaire l'archive afin de l'upload sur votre boutique.
  21. Wow. Vous parlez du module Mega Drown évolution v2.0, là ? Ce module s'installe sur une version 1.7 ? Très honnêtement, il n'a pas été maintenu pour la version 1.6 et n'est donc pas du tout compatible en terme de design au niveau de PrestaShop 1.7.
  22. Hi HowHard ! Do you have contact the author of the module on the support tools about this ? It will be easier for them to help you with a Back Office access to see what happen about the CSS, maybe. In the test environnement, the Advanced Styles is always there and the product is shown in the reloaded modal (summary of cart). The easier thing will be to let them inspect your shop environment, I think.
  23. Bonjour, La version 3.2.8 du module gère la valeur minimale de compatibilité de PrestaShop en tant que 1.5.0.17. Dès la version 3.2.9 du module, cela n'est plus le cas. Je vous invite également à voir avec une version plus récente si le problème persiste à ce sujet.
  24. Bonjour, Il n'est pas possible de lier des groupes de critères entre eux ni des valeurs émanant de groupes différents. Seules les valeurs de critères d'un même groupe peuvent être combinées.
×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More